Subject: Re: [PATCH v2 2/3] mpc82xx: Embedded Planet EP8248E support

From: David Gibson <[email-masked]>
Date: Tue, 18 Dec 2007 11:53:48 +1100

On Mon, Dec 17, 2007 at 09:18:13AM -0600, Scott Wood wrote:
> David Gibson wrote:
> > As I think I said about another tree, this mdio-under-bcsr arrangement
> > is pretty strange.  What's going on here.
> 
> As I answered then, it's just the way the hardware is.  I didn't design 
> it. :-P

I obviously missed when you answered this before, I was hoping for
some more detail.

I mean, obviously the MDIO bus is accessed via some of the
board-control registers.  What I'm questioning is whether it makes
sense to have a distinct node to represent the mdio bus, or whether
the phys should just hang straight of the bcsr node.

> >> +	soc@f0000000 {
> >> +		#address-cells = <1>;
> >> +		#size-cells = <1>;
> >> +		device_type = "soc";
> > 
> > Ditch the device_type.
> 
> No, it's used by the bootwrapper.  I'll get rid of it if you want to 
> write a find_node_by_compatible() function. :-)

Well, now that libfdt is merged, there is one :-p.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson